testProp=loadPropertiesFile("scripts/tests/test.properties")
while true do
	
	--also erases everything 
	screen:blit(0, 0, background,  false)
	--enableDebug()
	updateInputs(Controls.read())
	
	if inputLongPress("start") and inputLongPress("select") then
		break
	end
	
	screen:print(10, 10, "string: "..testProp["aString"], testProp["aColor"])
	if testProp["aBoolean"]==true then
		screen:print(10, 20, "boolean: true", testProp["aColor"])
	else
		screen:print(10, 20, "boolean: false", testProp["aColor"])
	end
	screen:print(10, 30, "number: "..testProp["aNumber"], testProp["aColor"])
	
	
	

	itmess=iterations.." iter."
	screen:print(381, 231, itmess)
	screen:print(381, 229, itmess)
	screen:print(379, 231, itmess)
	screen:print(379, 229, itmess)
	screen:print(380, 230, itmess, white)
	
	mem=getMemoryInfo()
	screen:print(381, 246, mem)
	screen:print(381, 244, mem)
	screen:print(379, 246, mem)
	screen:print(379, 244, mem)
	screen:print(380, 245, mem, white)

	iterations=iterations+1
   	screen.waitVblankStart()
	screen.flip()
   	
end